MSK4ZoneInternal::Frame Struct Reference

Internal: a frame ( position, type, ...) More...

## Public Types

enum | Type { Unknown = 0, Header, Footer, Table, Object, Textbox }
| the type of the frame which can represent header, footer, textbox, ... More...

## Public Member Functions

| Frame ()
| constructor More...

## Public Attributes

Type | m_type
| the frame type More...
MWAWPosition | m_position
| the position of the frame in the document More...
MWAWEntry | m_pictId
| some frames are associated with a picture stored in this entry ( name + id) More...
std::string | m_error
| a string to store unparsed data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Frame const &ft)
| operator<< More...

## Detailed Description

Internal: a frame ( position, type, ...)

## Member Enumeration Documentation

enum MSK4ZoneInternal::Frame::Type

the type of the frame which can represent header, footer, textbox, ...

Enumerator
Unknown |
Header |
Footer |
Table |
Object |
Textbox |

## Constructor & Destructor Documentation

MSK4ZoneInternal::Frame::Frame | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | ft
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSK4ZoneInternal::Frame::m_error

a string to store unparsed data

Referenced by MSK4ZoneInternal::operator<<(), and MSK4Zone::readFRAM().

MWAWEntry MSK4ZoneInternal::Frame::m_pictId

some frames are associated with a picture stored in this entry ( name + id)

Referenced by MSK4ZoneInternal::operator<<(), and MSK4Zone::readFRAM().

MWAWPosition MSK4ZoneInternal::Frame::m_position

the position of the frame in the document

Referenced by Frame(), MSK4ZoneInternal::operator<<(), and MSK4Zone::readFRAM().

Type MSK4ZoneInternal::Frame::m_type

the frame type

Referenced by MSK4ZoneInternal::operator<<(), and MSK4Zone::readFRAM().

The documentation for this struct was generated from the following file:

- MSK4Zone.cxx